<?php

$interior_design_studio_tp_theme_css = '';

$interior_design_studio_tp_color_option = get_theme_mod('interior_design_studio_tp_color_option');

// 1st color
$interior_design_studio_tp_color_option = get_theme_mod('interior_design_studio_tp_color_option', '#D39332');
if ($interior_design_studio_tp_color_option) {
	$interior_design_studio_tp_theme_css .= ':root {';
	$interior_design_studio_tp_theme_css .= '--color-primary1: ' . esc_attr($interior_design_studio_tp_color_option) . ';';
	$interior_design_studio_tp_theme_css .= '}';
}

//preloader

$interior_design_studio_tp_preloader_color1_option = get_theme_mod('interior_design_studio_tp_preloader_color1_option');
$interior_design_studio_tp_preloader_color2_option = get_theme_mod('interior_design_studio_tp_preloader_color2_option');
$interior_design_studio_tp_preloader_bg_color_option = get_theme_mod('interior_design_studio_tp_preloader_bg_color_option');

if($interior_design_studio_tp_preloader_color1_option != false){
$interior_design_studio_tp_theme_css .='.center1, .wp-block-tag-cloud a:hover{';
	$interior_design_studio_tp_theme_css .='border-color: '.esc_attr($interior_design_studio_tp_preloader_color1_option).' !important;';
$interior_design_studio_tp_theme_css .='}';
}
if($interior_design_studio_tp_preloader_color1_option != false){
$interior_design_studio_tp_theme_css .='.center1 .ring::before{';
	$interior_design_studio_tp_theme_css .='background: '.esc_attr($interior_design_studio_tp_preloader_color1_option).' !important;';
$interior_design_studio_tp_theme_css .='}';
}
if($interior_design_studio_tp_preloader_color2_option != false){
$interior_design_studio_tp_theme_css .='.center2{';
	$interior_design_studio_tp_theme_css .='border-color: '.esc_attr($interior_design_studio_tp_preloader_color2_option).' !important;';
$interior_design_studio_tp_theme_css .='}';
}
if($interior_design_studio_tp_preloader_color2_option != false){
$interior_design_studio_tp_theme_css .='.center2 .ring::before{';
	$interior_design_studio_tp_theme_css .='background: '.esc_attr($interior_design_studio_tp_preloader_color2_option).' !important;';
$interior_design_studio_tp_theme_css .='}';
}
if($interior_design_studio_tp_preloader_bg_color_option != false){
$interior_design_studio_tp_theme_css .='.loader{';
	$interior_design_studio_tp_theme_css .='background: '.esc_attr($interior_design_studio_tp_preloader_bg_color_option).';';
$interior_design_studio_tp_theme_css .='}';
}

// footer-bg-color
$interior_design_studio_tp_footer_bg_color_option = get_theme_mod('interior_design_studio_tp_footer_bg_color_option');

if($interior_design_studio_tp_footer_bg_color_option != false){
$interior_design_studio_tp_theme_css .='#footer{';
	$interior_design_studio_tp_theme_css .='background: '.esc_attr($interior_design_studio_tp_footer_bg_color_option).' !important;';
$interior_design_studio_tp_theme_css .='}';
}

// footer widget title color
$interior_design_studio_footer_widget_title_color = get_theme_mod('interior_design_studio_footer_widget_title_color');
if($interior_design_studio_footer_widget_title_color != false){
$interior_design_studio_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$interior_design_studio_tp_theme_css .='color: '.esc_attr($interior_design_studio_footer_widget_title_color).';';
$interior_design_studio_tp_theme_css .='}';
}

// copyright text color
$interior_design_studio_footer_copyright_text_color = get_theme_mod('interior_design_studio_footer_copyright_text_color');
if($interior_design_studio_footer_copyright_text_color != false){
$interior_design_studio_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$interior_design_studio_tp_theme_css .='color: '.esc_attr($interior_design_studio_footer_copyright_text_color).'!important;';
$interior_design_studio_tp_theme_css .='}';
}

// header image title color
$interior_design_studio_header_image_title_text_color = get_theme_mod('interior_design_studio_header_image_title_text_color');
if($interior_design_studio_header_image_title_text_color != false){
$interior_design_studio_tp_theme_css .='.box-text h2{';
$interior_design_studio_tp_theme_css .='color: '.esc_attr($interior_design_studio_header_image_title_text_color).';';
$interior_design_studio_tp_theme_css .='}';
}

// menu color
$interior_design_studio_menu_color = get_theme_mod('interior_design_studio_menu_color');
if($interior_design_studio_menu_color != false){
$interior_design_studio_tp_theme_css .='.main-navigation a{';
$interior_design_studio_tp_theme_css .='color: '.esc_attr($interior_design_studio_menu_color).';';
$interior_design_studio_tp_theme_css .='}';
}

//Footer Font Weight
$interior_design_studio_footer_copyright_title_font_weight = get_theme_mod( 'interior_design_studio_footer_copyright_title_font_weight','');
if($interior_design_studio_footer_copyright_title_font_weight == '100'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 100;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '200'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 200;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '300'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 300;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '400'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 400;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '500'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 500;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '600'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 600;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '700'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 700;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '800'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 800;';
$interior_design_studio_tp_theme_css .='}';
}else if($interior_design_studio_footer_copyright_title_font_weight == '900'){
$interior_design_studio_tp_theme_css .='#footer .site-info p {';
    $interior_design_studio_tp_theme_css .='font-weight: 900;';
$interior_design_studio_tp_theme_css .='}';
}